<?php defined('_JEXEC') or die( 'Restricted access' );

/**
 * @version 2.0 $Id: categories.php,v 1.4 2010-01-22 22:13:41 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

class JElementCategories extends JElement {
	
	public $_name = 'Categories';

	public function fetchElement($name, $value, &$node, $control_name) {
		$db = &JFactory::getDBO();

		$query = 'SELECT a.id as catid, a.name as text '
		. ' FROM #__ldcats AS a '
		. ' WHERE a.published = 1 '
		. ' ORDER BY a.name '
		;
		$db->setQuery($query);
		$options = array_merge($this->buildRootElement(),$db->loadObjectList());
		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'catid', 'text', $value, $control_name.$name );
	}	
	
	private function &buildRootElement(){
		$rootCategory = new stdClass();
		$rootCategory->catid=0;
		$rootCategory->text=JText::_('DEFAULT ROOT LABEL TEXT FOR LIST');
		$optionsRoot = array();
		$optionsRoot[] = $rootCategory;
		return $optionsRoot;
	}
}
