<?php defined('_JEXEC') or die('Restricted access'); 

/**
 * @version 2.0 $Id: default.php,v 1.10 2010-02-12 21:10:13 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

$user =& JFactory::getUser();

?>
<form action="index.php" method="post" name="adminForm">
<table>
<tr>
	<td align="left" width="100%">
	<?php if (!$this->viewAsTree){?>
		<?php echo JText::_( 'Filter' ); ?>:
		<input type="text" name="search" id="search" value="<?php echo $this->search;?>" class="text_area" onchange="document.adminForm.submit();" />
		<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
		<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_catid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
		<?php }?>
	</td>
	<td nowrap="nowrap">
		<?php
			echo $this->categoryListAsHtml;
			echo $this->state;
		?>
	</td>
</tr>
</table>

<table class="adminlist">
	<thead>
		<tr>
			<th width="10" align="left">
				<?php echo JText::_( 'Num' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->categories );?>);" />
			</th>
			<th class="title">
				<?php echo $this->viewAsTree? JText::_('Title'):JHTML::_('grid.sort',   'Title', 'c.title', $this->order_Dir, $this->order ); ?>
			</th>
			<th>
				<?php echo $this->viewAsTree? JText::_('Links'):JHTML::_('grid.sort',   'Links', 'totalLinks', $this->order_Dir, $this->order ); ?>
			</th>
			<th width="5%">
				<?php echo $this->viewAsTree? JText::_('Published'):JHTML::_('grid.sort',   'Published', 'c.published',$this->order_Dir,$this->order); ?>
			</th>
			<th width="8%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort',   'Order by', 'c.ordering', $this->order_Dir, $this->order ); ?>
				<?php if ($this->ordering) echo JHTML::_('grid.order', $this->categories, 'filesave.png', 'saveOrderWebCategories'); ?>
			</th>
			<th width="7%">
				<?php echo $this->viewAsTree? JText::_('Access'):JHTML::_('grid.sort','Access','groupname',$this->order_Dir,$this->order); ?>
			</th>
			<th width="1%" nowrap="nowrap">
				<?php echo $this->viewAsTree? JText::_('Id'):JHTML::_('grid.sort',   'Id', 'c.id', $this->order_Dir, $this->order ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="9">
				<?php echo $this->pagination->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
		$k = 0;
		if( count( $this->categories ) ) {
			for ($i=0, $n=count( $this->categories ); $i < $n; $i++) {
				$row 	= $this->categories[$i];
				JFilterOutput::objectHtmlSafe($row);
				$link = 'index.php?option=com_linkdirectory2&task=editWebCategory&view=webcategory&cid[]='. $row->id;
				$link2webLinks = 'index.php?option=com_linkdirectory2&task=displayWeblinksForOneCategory&limitstart=0&catid='. $row->id;
				$access 	= JHTML::_('grid.access',   $row, $i );
				$checked 	= JHTML::_('grid.checkedout',   $row, $i );
				$published 	= JHTML::_('grid.published', $row, $i,'tick.png','publish_x.png','WebCategory' );
				?>
				<tr class="<?php echo "row$k"; ?>">
					<!-- Nummer -->
					<td>
						<?php echo $this->pagination->getRowOffset( $i ); ?>
					</td>
					<!-- Auswahl -->
					<td>
						<?php echo $checked; ?>
					</td>
					<!-- Titel Kommentar -->
					<td>
						<span class="editlinktip hasTip" title="<?php echo JText::_( 'Title' );?>::<?php echo $row->title; ?>">
						<?php
						if (  JTable::isCheckedOut($user->get ('id'), $row->checked_out )  ) {
							echo html_entity_decode($row->treename);
						} else {
							?>
							<a href="<?php echo JRoute::_( $link ); ?>">
								<?php echo html_entity_decode($row->treename); ?></a>
							<?php
						}
						?></span>
					</td>
					<td align="center">
						<a href="<?php echo JRoute::_( $link2webLinks ); ?>"><?php echo $row->totalLinks;?></a>
					</td>
					<td align="center">
						<?php echo $published;?>
					</td>
					<td class="order"> 
						<span><?php echo $this->pagination->orderUpIcon  ( $i, true, 'orderUpWebCategories', 'Move Up', $this->ordering ); ?></span>
						<span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderDownWebCategories', 'Move Down', $this->ordering );?></span>
						<?php $disabled = $this->ordering ?  '' : 'disabled="disabled"'; ?>
						<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
						
					</td>
					<td align="center">
						<?php echo $access;?>
					</td>
					<?php
					$k = 1 - $k;
					?>
					<td align="center">
						<?php echo $row->id; ?>
					</td>
				</tr>
				<?php
			}
		} else { ?>
			<tr><td colspan="10"><?php echo JText::_('LD THERE ARE NO CATEGORIES'); ?></td></tr><?php
		}
		?>
		</tbody>
	</table>

	<input type="hidden" name="option" value="com_linkdirectory2" />
	<input type="hidden" name="task" value="webcategories" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->order; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->order_Dir; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
		

