<?php defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: view.html.php,v 1.5 2009-11-19 20:55:04 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view' );

class Linkdirectory2ViewConfig extends JView {

	public function display($tpl = null) {
		$model = $this->getModel('config'); 
		if ($model->isWriteable()){
			JToolBarHelper::title(JText::_( 'Configuration' ).': <small><small>[ ' . JText::_( 'Edit' ).' ]</small></small>' );
			JToolBarHelper::save('saveConfig');
		} else {
			JToolBarHelper::title(JText::_( 'Configuration' ).': <small><small>[ ' . JText::_( 'View' ).' ]</small></small>' );
		}
		JToolBarHelper::cancel('cancelConfig');

		JRequest::setVar( 'hidemainmenu', 1 );
		JRequest::setVar( 'layout', 'default'  );
		JRequest::setVar( 'view'  , 'config');
			
		require_once($this->get('FileName'));
		$this->assignRef('conf',new LDConfig());
		jimport('joomla.html.pane');
		$pane = &JPane::getInstance('tabs');
		
		require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'ThumbnailUtils.php');
		$thumbnailUtils = new ThumbnailUtils();
		$localThumbnailRootDir = $thumbnailUtils->getLocalThumbnailRootDir();
		
		$this->assignRef('pane',$pane);
		$this->assign('isConfigurationWriteable',$this->get('Writeable'));
		$this->assign('localThumbnailRootDir',$localThumbnailRootDir);
		parent::display($tpl);
	}
}
